Skip to main content
GET
/
team-members
/
{team_member_id}
Get team member details
curl --request GET \
  --url https://{your-subdomain}.neetocal.com/api/external/v2/team-members/{team_member_id} \
  --header 'Accept: <accept>' \
  --header 'X-Api-Key: <x-api-key>'
{
  "team_member": {
    "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "email": "<string>",
    "first_name": "<string>",
    "last_name": "<string>",
    "time_zone": "<string>",
    "profile_image_url": "<string>",
    "active": true,
    "organization_role": "<string>"
  }
}

Documentation Index

Fetch the complete documentation index at: https://apidocs.neetocal.com/llms.txt

Use this file to discover all available pages before exploring further.

Replace {your-subdomain} with your workspace’s subdomain.
Learn how to find your subdomain in Workspace subdomain.

Headers

X-Api-Key
string
required

Use the X-Api-Key header to provide your workspace API key. Refer to Authentication for more information.

Accept
enum<string>
default:application/json
required

Specifies the expected response format. Must be set to application/json for proper API communication.

Available options:
application/json

Path Parameters

team_member_id
string<uuid>
required

Id of the team member that you want to retrieve. You can get team_member_id by listing all team members using our List team members API. Here you will see id for each team member.

Example:

"13c02be6-8bd4-4dda-b9e6-07df53feb8a4"

Response

200 - application/json

OK - Request succeeded

team_member
object